View Issue Details

IDProjectCategoryView StatusLast Update
0004123SOGoWeb Mailpublic2018-01-17 12:44
ReporterASolana Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] MicrosoftOSUbuntuOS VersionUbuntu 16.04
Product Version3.2.8 
Fixed in Version4.0.0 
Summary0004123: Web mail displays gigantic html headings in received and drafts emails
Description

Sogo web mail displays gigantic html headings on received and drafts emails.

I've used Mozilla Firefox 52.0.2 in Windows 7 and Ubuntu 14.04.

I've been able to reproduce this issue in your demo website in 3.2.8 version, too.

Steps To Reproduce
  1. Create a new email
  2. Edit in html mode and paste these lines to notice it:

nomal text...nomal text...nomal text...
nomal text...nomal text...nomal text...
<h1>Heading level 1</h1>
<h2>Heading level 2</h2>
<h3>Heading level 3</h3>
<h4>Heading level 4</h4>
<h5>Heading level 5</h5>
<h6>Heading level 6</h6>

  1. Save email as draft
  2. Display draft email to display the gigantic html headings
TagsNo tags attached.

Activities

FoZo

FoZo

2018-01-15 07:15

reporter   ~0012511

Same problem with SOGo 3.2.10 on FF 54.0.4 and chrome 63.0.3239.132

Related Changesets

sogo: master d4c8f508

2018-01-17 12:43:06

francis

Details Diff
(css) Reset H{1-6} headers

Fixes 0004123
Affected Issues
0004123
mod - UI/Templates/AdministrationUI/UIxAdministration.wox Diff File
mod - UI/Templates/AdministrationUI/UIxAdministrationAclEditor.wox Diff File
mod - UI/Templates/ContactsUI/UIxContactEditorTemplate.wox Diff File
mod - UI/Templates/ContactsUI/UIxContactViewTemplate.wox Diff File
mod - UI/Templates/MailerUI/UIxMailViewTemplate.wox Diff File
mod - UI/Templates/PreferencesUI/UIxAccountEditor.wox Diff File
mod - UI/Templates/SchedulerUI/UIxAppointmentViewTemplate.wox Diff File
mod - UI/Templates/SchedulerUI/UIxTaskViewTemplate.wox Diff File
mod - UI/WebServerResources/scss/core/typography.scss Diff File
mod - UI/WebServerResources/scss/views/AdministrationUI.scss Diff File

Issue History

Date Modified Username Field Change
2017-03-31 12:45 ASolana New Issue
2018-01-15 07:15 FoZo Note Added: 0012511
2018-01-17 12:44 francis Changeset attached => sogo master d4c8f508
2018-01-17 12:44 francis Assigned To => francis
2018-01-17 12:44 francis Resolution open => fixed
2018-01-17 12:44 francis Status new => resolved
2018-01-17 12:44 francis Fixed in Version => 4.0.0